# $Revision: 1.107 $, $Date: 2011/08/31 07:00:52 $
# Conditional build:
%bcond_without	ipv6	# without support for IPv6
#
Summary:	WWW Offline Explorer - Caching Web Proxy Server (IPv6)
Summary(pl.UTF-8):	Eksplorator Offline World Wide Web (IPv6)
Name:		wwwoffle
Version:	2.9e
Release:	2
Epoch:		0
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.gedanken.demon.co.uk/download-wwwoffle/%{name}-%{version}.tgz
# Source0-md5:	39f2dfcf421e0f33286f41043c3075ea
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-replacement.patch
Patch1:		%{name}-conf_settings.patch
Patch2:		%{name}-namazu.patch
Patch3:		%{name}-hyperestraier.patch
URL:		http://www.gedanken.demon.co.uk/wwwoffle/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gnutls-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(postun):	sed > 4.0
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	fileutils
Requires(pre):	sh-utils
Requires:	rc-scripts >= 0.2.0
Provides:	group(wwwoffle)
Provides:	user(wwwoffle)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
A proxy HTTP/FTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability to
  follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Monitoring of pages for regular download.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
  individually or recursively.
- All options controlled using a simple configuration file with a web
  page to edit it.

%description -l de.UTF-8
Ein (HTTP/FTP) Proxy Server für Computer mit Wählverbindungen ins
Internet. Folgendes wird unterstützt:
- Seiten werden lokal gespeichert und können jederzeit erneut
  abgerufen werden, auch OHNE Verbindung ins Internet
- Seiten, die nicht lokal vorhanden sind, werden 'bestellt'.
- Seiten können abonniert, d.h. regelmäßig heruntergeladen, werden;
  dies auch rekursiv.
- Alle lokal vorhandenen Seiten sind auf verschiedene Weisen indiziert
  und durchsuchbar.
- Steuerung erfolgt per Web-Browser, Kommandozeile und einer einfachen
  Konfigurationsdatei
- Jede Meldung von WWWOFFLE kann durch eigene ersetzt werden (so wurde
  auch diese Übersetzung realisiert)
- WWWOFFLE unterstützt verschiedene Authentifikationsmethoden

%description -l es.UTF-8
Un servidor proxy HTTP/FTP para ordenadores con conexión intermitente
a internet.
- Almacenado de páginas vistas mientras se estuvo conectado para
  releerlas más tarde.
- Revisión de páginas almacenadas mientras no se está conectado, con
  la habilidad de seguir enlaces y marcar otras páginas para recogida.
- Recogida de páginas especificadas de forma no interactiva.
- Monitorizado de páginas para recogida regular.
- Múltiples índices de las páginas almacenadas para una selección
  fácil.
- Opción para seleccionar páginas de forma interactiva o en línea de
  comandos de manera individual o recursiva.
- Todas las opciones se contralan usando un simple fichero de
  configuración con una página web para editarlo.

%description -l pl.UTF-8
Serwer proxy HTTP/FTP dla komputerów z dostępem do internetu typu
dial-up.
- Buforowanie stron przeglądanych podczas połączenia.
- Przeglądanie buforowanych stron bez potrzeby połączenia, z
  możliwością podążania za łączami i oznaczania innych stron do
  pobrania.
- Pobieranie określonych stron nieinteraktywnie.
- Monitorowanie stron dla regularnego pobierania.
- Wiele indeksów przechowywanych w buforze stron dla łatwego ich
  wyboru.
- Interaktywne lub z linii komend opcje wyboru stron do pobrania
  indywidualnie lub rekursywnie.
- Wszystkie opcje są kontrolowane przy użyciu prostego pliku
  konfiguracji z możliwością edycji z poziomu strony web.

%package namazu
Summary:	Indexing and searching WWWOFFLE's cache by Namazu
Summary(pl.UTF-8):	Indeksowanie i przeszukiwanie cache'a WWWOFFLE przez Namazu
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mknmz-wwwoffle >= 0.7.2-2
Requires:	namazu-cgi >= 2.0.12-3

%description namazu
Indexing and searching WWWOFFLE's cache by Namazu.

%description namazu -l pl.UTF-8
Indeksowanie i przeszukiwanie cache'a WWWOFFLE przez Namazu.

%package hyperestraier
Summary:	Indexing and searching WWWOFFLE's cache by Hyperestraier
Summary(pl.UTF-8):	Indeksowanie i przeszukiwanie cache'a WWWOFFLE przez Hyperestraier
Group:		Networking/Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	hyperestraier

%description hyperestraier
Indexing and searching WWWOFFLE's cache by Hyperestraier.

%description hyperestraier -l pl.UTF-8
Indeksowanie i przeszukiwanie cache'a WWWOFFLE przez Hyperestraier.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure2_13 \
	--with-gnutls \
	--with-zlib \
	%{?with_ipv6:--with-ipv6} \
	--with-spooldir=%{_var}/cache/wwwoffle
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,%{name}/{hyperestraier,namazu}} \
	$RPM_BUILD_ROOT%{_var}/cache/wwwoffle/{ftp,prev{out,time}{1,2,3,4,5,6,7},temp}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/html $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{_datadir}/%{name} $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/html

# changes for wwwoffle-namazu
mv -f $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/namazu/conf/*rc \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/namazu
mv -f $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/namazu/scripts/wwwoffle-mknmz-* \
	$RPM_BUILD_ROOT%{_bindir}

# changes for wwwoffle-hyperestraier
mv -f $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.{conf,tmpl,top} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/hyperestraier
ln -sf %{_sysconfdir}/%{name}/hyperestraier/estseek.conf \
	$RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.conf
ln -sf %{_sysconfdir}/%{name}/hyperestraier/estseek.tmpl \
	$RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.tmpl
ln -sf %{_sysconfdir}/%{name}/hyperestraier/estseek.top \
	$RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.top
mv -f $RPM_BUILD_ROOT%{_var}/cache/wwwoffle/search/hyperestraier/scripts/wwwoffle-estcmd-full \
	$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/fr/man5
install doc/fr/wwwoffle.conf.man $RPM_BUILD_ROOT%{_mandir}/fr/man5/wwwoffle.conf.5
rm -f doc/fr/wwwoffle.conf.man*

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

mv doc/es/contrib/README doc/es/README-contrib
mv doc/es/testprogs/README doc/es/README-testprogs
rm -rf doc/es/{contrib,testprogs}
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%triggerpostun -- %{name} < 2.7

echo Note!  Your existing cache and config file look earlier than
echo 2.7 version. There have been several major changes in config
echo file and some minor changes in cache handling. Read the file
echo NEWS and following at a pinch for details. All the necessary
echo files are available from within your documentation directory.

%triggerpostun -- %{name} < 2.8

chown wwwoffle:wwwoffle -R \
	%{_var}/cache/wwwoffle/{ftp,http,lastout,lasttime,local,monitor,outgoing,temp,prevout[1-7],prevtime[1-7]}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
test -h %{_var}/cache/wwwoffle/html || rm -rf %{_var}/cache/wwwoffle/html

%pre
%groupadd -g 119 -r -f wwwoffle
%useradd -o -r -u 119 -s /bin/false -g wwwoffle -c "%{name} daemon" -d /var/cache/wwwoffle wwwoffle

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove wwwoffle
	%groupremove wwwoffle
fi

%files
%defattr(644,root,root,755)
%lang(de) %doc doc/de
%lang(es) %doc doc/es
%lang(fr) %doc doc/fr
%lang(pl) %doc doc/pl
%doc doc/{ANNOUNCE,CHANGES.CONF,FAQ,NEWS,README*}
%doc ChangeLog* conf/upgrade-config*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_sysconfdir}/%{name}
%attr(660,root,wwwoffle) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%{_mandir}/man[158]/*
%lang(fr) %{_mandir}/fr/man5/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/default
%{_datadir}/%{name}/en
%lang(de) %{_datadir}/%{name}/de
%lang(es) %{_datadir}/%{name}/es
%lang(fr) %{_datadir}/%{name}/fr
%lang(it) %{_datadir}/%{name}/it
%lang(nl) %{_datadir}/%{name}/nl
%lang(pl) %{_datadir}/%{name}/pl
%lang(ru) %{_datadir}/%{name}/ru
%defattr(664,wwwoffle,wwwoffle,775)
%dir %{_var}/cache/wwwoffle
#%%{_var}/cache/wwwoffle/[!o]*
%{_var}/cache/wwwoffle/html
%dir %{_var}/cache/wwwoffle/ftp
%dir %{_var}/cache/wwwoffle/http
%dir %{_var}/cache/wwwoffle/lastout
%dir %{_var}/cache/wwwoffle/lasttime
%dir %{_var}/cache/wwwoffle/local
%dir %{_var}/cache/wwwoffle/monitor
%dir %{_var}/cache/wwwoffle/outgoing
%config(missingok) %{_var}/cache/wwwoffle/outgoing/*
%dir %{_var}/cache/wwwoffle/prevout[1-7]
%dir %{_var}/cache/wwwoffle/prevtime[1-7]
%dir %{_var}/cache/wwwoffle/temp
%dir %{_var}/cache/wwwoffle/search
%dir %{_var}/cache/wwwoffle/search/htdig
%dir %{_var}/cache/wwwoffle/search/htdig/db
%dir %{_var}/cache/wwwoffle/search/htdig/db-lasttime
%dir %{_var}/cache/wwwoffle/search/htdig/tmp
%dir %{_var}/cache/wwwoffle/search/htdig/conf
%config(noreplace) %verify(not md5 mtime size) %{_var}/cache/wwwoffle/search/htdig/conf/*
%dir %{_var}/cache/wwwoffle/search/htdig/scripts
%attr(754,root,root) %{_var}/cache/wwwoffle/search/htdig/scripts/*

%dir %{_var}/cache/wwwoffle/search/mnogosearch
%dir %{_var}/cache/wwwoffle/search/mnogosearch/db
%dir %{_var}/cache/wwwoffle/search/mnogosearch/conf
%config(noreplace) %verify(not md5 mtime size) %{_var}/cache/wwwoffle/search/mnogosearch/conf/*
%dir %{_var}/cache/wwwoffle/search/mnogosearch/scripts
%attr(754,root,root) %{_var}/cache/wwwoffle/search/mnogosearch/scripts/*

%files hyperestraier
%defattr(644,root,root,755)
%dir %{_var}/cache/wwwoffle/search/hyperestraier
%dir %{_var}/cache/wwwoffle/search/hyperestraier/conf
%dir %{_var}/cache/wwwoffle/search/hyperestraier/db
%dir %{_var}/cache/wwwoffle/search/hyperestraier/scripts
%attr(644,root,wwwoffle) %{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.conf
%attr(644,root,wwwoffle) %{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.tmpl
%attr(644,root,wwwoffle) %{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.top
%{_var}/cache/wwwoffle/search/hyperestraier/conf/estseek.help
%dir %{_sysconfdir}/%{name}/hyperestraier
%attr(640,root,wwwoffle) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hyperestraier/estseek.conf
%attr(640,root,wwwoffle) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hyperestraier/estseek.tmpl
%attr(640,root,wwwoffle) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hyperestraier/estseek.top
%attr(750,root,root) %{_bindir}/wwwoffle-estcmd-full
%attr(750,root,wwwoffle) %{_var}/cache/wwwoffle/search/hyperestraier/scripts/wwwoffle-estseek

%files namazu
%defattr(644,root,root,755)
%dir %{_sysconfdir}/%{name}/namazu
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/namazu/*
%attr(755,root,root) %{_bindir}/wwwoffle-mknmz-*
%dir %{_var}/cache/wwwoffle/search/namazu/scripts
%attr(755,root,root) %{_var}/cache/wwwoffle/search/namazu/scripts/wwwoffle-namazu
%dir %{_var}/cache/wwwoffle/search/namazu
%dir %{_var}/cache/wwwoffle/search/namazu/db

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wwwoffle.spec,v $
Revision 1.107  2011/08/31 07:00:52  arekm
- release 2

Revision 1.106  2009/01/26 11:08:54  areq
- 2.9e

Revision 1.105  2008/01/24 19:46:20  twittner
- rm no longer needed -gnutls.patch from preamble

Revision 1.104  2008-01-24 19:44:23  twittner
- up t 2.9d

Revision 1.103  2008-01-19 17:44:16  twittner
- up to 2.9c
- added -gnutls.patch (fixes compilation error)
- fix permission for wwwoffle.conf

Revision 1.102  2008-01-17 00:13:24  glen
- dir to symlink should be in %pretrans

Revision 1.101  2008-01-17 00:12:18  glen
- todos

Revision 1.100  2008-01-17 00:08:16  glen
- rel 6

Revision 1.99  2008-01-10 22:00:44  zbyniu
- missing dirs; rel 5

Revision 1.98  2007-02-18 15:50:29  twittner
- rel. 4 - rebuild with updated -hyperetraier.patch

Revision 1.97  2007/02/18 13:58:59  twittner
- rel. 3 - rebuild with new gnutls
- NOTE about wwwoffle-2.9b

Revision 1.96  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.95  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.94  2006/09/19 07:42:44  glen
- drop invalid -M useradd option; rel 2

Revision 1.93  2006/09/17 09:50:32  qboosh
- pl summary/desc consistency

Revision 1.92  2006/09/16 22:03:01  twittner
- up tu 2.9a
- separate package and fixes for hyperestarier (new search
  system for wwwoffle cache) added

Revision 1.91  2006/09/09 01:38:57  glen
- rel 5 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.90  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.89  2006/04/15 13:45:24  glen
- tiny cleanup

Revision 1.88  2006/04/15 13:41:29  glen
- rel 4

Revision 1.87  2006/03/13 23:14:32  glen
- use %service

Revision 1.86  2005/12/27 00:11:30  twittner
- fix wwwoffle.conf perms. - it shouldn't be worldreadable - might contain
  passwords

Revision 1.85  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.84  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.83  2005/06/12 00:04:35  twittner
- killing orphaned directories night action
- rel. 3

Revision 1.82  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.81  2005/02/04 18:26:27  matowy
- up to 2.8e

Revision 1.80  2004/10/29 15:19:26  paladine
- spelling fixes

Revision 1.79  2004/09/15 14:18:07  ankry
- %userremove/%groupremove macros support
- don't use macros in user/group name/home
- cleaning

Revision 1.78  2004/08/18 18:43:42  havner
- config.sub
- rel 2

Revision 1.77  2004/06/20 21:37:06  arekm
- fix specflags (quotation here is buggy)

Revision 1.76  2004/06/13 01:51:25  arekm
- 2.8c

Revision 1.75  2004/03/01 02:03:52  twittner
- up to 2.8b

Revision 1.72  2004/02/01 18:33:47  eothane
- bconds, changelog cosmetics

Revision 1.71  2003/11/11 02:15:09  qboosh
- BR: automake

Revision 1.70  2003/10/20 20:20:51  qboosh
- some cleanups, post/preun/postun deps
- pre should fail on groupadd/useradd error

Revision 1.69  2003/10/17 17:44:33  twittner
- added trigger which sets wwwoffle owner and group of cache files
  and directiories.

Revision 1.68  2003/10/15 17:04:25  twittner
- cleaning
- use templates provided by namazu

Revision 1.67  2003/10/14 11:47:45  twittner
- working source location

Revision 1.66  2003/10/14 11:41:19  twittner
- up to 2.8
- added wwwoffle user and group creation (taken from squid.spec)
- http -> wwwoffle user/group
- fixed files owner and permissions
- released namazu stuff in subpackage
- added bcond --without ipv6
- removed -flex.patch
- added aclocal and autoconf

Revision 1.65  2003/08/05 19:05:56  qboosh
- patched for new flex

Revision 1.64  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.63  2003/05/28 13:02:59  malekith
- massive attack: source-md5

Revision 1.62  2003/05/25 06:28:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.61  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.60  2003/01/18 13:19:22  radek
- version 2.7h: "a small number of bug fixes, one of which is security related"

Revision 1.59  2002/12/18 17:52:11  gotar
- added missing dirs (*/scripts, ../html),
- release 2.

Revision 1.58  2002/12/17 19:01:33  juandon
- update to 2.7g

Revision 1.57  2002/10/18 23:39:33  hunter
- fixed directories and permisions of /var/cache/wwwoffle/search/*

Revision 1.56  2002/10/06 06:18:33  gotar
- upgraded to 2.7f,
- added %{_var}/cache/%{name}/{ftp,prev{out,time}{1,2,3,4,5,6,7},temp}
  directories to the package contents,
- moved %{_var}/cache/%{name}/html to %{_datadir}/%{name} - these are
  static files with messages, search forms and documentation,
  %{_var}/cache/%{name}/local stores local pages.

Revision 1.55  2002/09/17 15:17:10  ankry
- fixed Source URL

Revision 1.54  2002/09/10 11:39:01  gotar
- updated to 2.7e (bugfixes),
- root.root -> http.http for %{_var} files,
- STBR.

Revision 1.53  2002/08/01 18:11:58  blues
- 2.7d - SECURITY UPDATE
- STBR

Revision 1.52  2002/06/24 09:04:54  gotar
- upgraded to 2.7b,
- removed outdated patch.

Revision 1.51  2002/05/31 16:28:47  gotar
- new %doc

Revision 1.50  2002/04/10 00:44:50  gotar
- updated to 2.7a (lots of bugfixes), STBR.

Revision 1.49  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/30 18:38:15  alchemyx
- ugly words back again. sorry.

Revision 1.46  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.45  2002/01/18 02:15:26  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2001/12/13 22:27:51  gotar
- adapterized to DESTDIR style install,
- no release change.

Revision 1.43  2001/08/30 12:18:49  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.42  2001/08/12 11:36:08  gotar
- made USE_ZLIB=1 explicite.

Revision 1.41  2001/08/12 10:43:44  gotar
- added ftp with IPv6 patch (misiek).

Revision 1.40  2001/08/09 12:16:20  gotar
- patch replaced with make option.

Revision 1.39  2001/08/08 20:09:08  gotar
- cosmetics.

Revision 1.38  2001/08/04 22:45:50  misiek
- ipv6 fixes; it's back AGAIN!

Revision 1.37  2001/07/20 07:53:19  gotar
- disabled fucked up IPv6 support.

Revision 1.36  2001/07/17 11:20:08  gotar
- upgraded to 2.6d,
- enabled IPv6 support,
- added BuildRequires: zlib-devel,
- extended description.

Revision 1.35  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.34  2001/07/03 20:33:20  gotar
- reverted to 1.32; that was ok.

Revision 1.33  2001/06/30 14:09:38  gotar
- fixed %{_var}/cache/%{name}/outgoing/* state.

Revision 1.32  2001/06/29 10:09:39  kloczek
- adapterized.

Revision 1.31  2001/05/03 01:14:06  qboosh
- adapterized and made spec %{debug} ready or added using %{rpm*flags} macros

Revision 1.30  2001/04/27 15:09:04  gotar
- upgraded to 2.6c,
- added convert-cache and upgrade-config* files to doc,
- added %triggerpostun message (old files warning),
- spec cleanup.

Revision 1.29  2001/04/21 12:48:16  gotar
- added empty html replacement (patch0),
- fixed build process (spool and conf dir) (patch1),
- spec cosmetics and fixup.

Revision 1.28  2001/04/17 11:02:48  gotar
- fixed package filelist.

Revision 1.27  2001/04/13 18:44:24  gotar
- added BuildRequires: flex,
- added de and es %descriptions,
- fixed old log typo,
- corrected state of first-time outgoings.

Revision 1.26  2001/04/13 15:27:35  gotar
- upgraded to 2.6b,
- spec cleanup and fixup.

Revision 1.25  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.24  2000/06/09 07:24:04  kloczek
- added using %{__make} macro.

Revision 1.23  2000/05/11 09:07:42  wiget
- release++

Revision 1.22  2000/04/29 09:57:32  pawelk
- Correct spool-dir in /etc/wwwoffle.conf
  (from BUILDROOT/var/cache/wwwoffle to /var/cache/wwwoffle)

Revision 1.21  2000/04/01 21:34:58  kloczek
- "Requires: rc-scripts >= 0.2.0".

Revision 1.20  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:13  baggins
- translated kloczkish into english

Revision 1.18  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.17  2000/03/01 17:37:43  misiek
- updated to 2.5d and integrated IPv6 support

Revision 1.16  1999/10/27 07:21:52  kloczek
- updated to 2.5b,
- added missing %config /etc/sysconfig/wwwoffle file.

Revision 1.15  1999/10/17 22:26:51  wrobell
- fixed typo: /var/chache -> /var/cache

Revision 1.14  1999/09/26 15:19:57  kloczek
- /var/spool/wwwoffle changed to /var/cache/wwwoffle (now package is FHS
  compliant),
- removed INSTALL from %doc,
- implemented reload target in init script for wwwoffle,
- changed permission on init script to 754,

Revision 1.13  1999/09/26 14:22:19  pius
- updated to 2.5

Revision 1.12  1999/09/11 14:16:25  misiek
- fixed requires (PR#64)

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).
